<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/fmc.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">fmc.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 Series Flash Memory Controller Driver Header File.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/df5/fmc_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2fmc_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../dc/d00/fmc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga8235cda134e379be467ee8fbc6fe378a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8235cda134e379be467ee8fbc6fe378a">FMC_APROM_BASE</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga8235cda134e379be467ee8fbc6fe378a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5c09ead5a3124158e97ea4cc1e149f19"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c09ead5a3124158e97ea4cc1e149f19">FMC_APROM_END</a>&#160;&#160;&#160;0x00008000UL</td></tr>
<tr class="separator:ga5c09ead5a3124158e97ea4cc1e149f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga50e93efe1f81bc0ebf35789bfec41613"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga50e93efe1f81bc0ebf35789bfec41613">FMC_LDROM_BASE</a>&#160;&#160;&#160;0x00100000UL</td></tr>
<tr class="separator:ga50e93efe1f81bc0ebf35789bfec41613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b3d9bbe4809779d21ff9635f376bcee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b3d9bbe4809779d21ff9635f376bcee">FMC_LDROM_END</a>&#160;&#160;&#160;0x00101000UL</td></tr>
<tr class="separator:ga0b3d9bbe4809779d21ff9635f376bcee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga661c36b78e061bb2391c3ea1526c86d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga661c36b78e061bb2391c3ea1526c86d3">FMC_SPROM_BASE</a>&#160;&#160;&#160;0x00200000UL</td></tr>
<tr class="separator:ga661c36b78e061bb2391c3ea1526c86d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa7b898ae9cc85feb18795a8110b8e6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa7b898ae9cc85feb18795a8110b8e6a">FMC_SPROM_END</a>&#160;&#160;&#160;0x00200200UL</td></tr>
<tr class="separator:gaaa7b898ae9cc85feb18795a8110b8e6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52a7acc3043b680daac35a5ec0189c3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>&#160;&#160;&#160;0x00300000UL</td></tr>
<tr class="separator:ga52a7acc3043b680daac35a5ec0189c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4881161aeabc72682b57e928fbcf9ed7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4881161aeabc72682b57e928fbcf9ed7">FMC_FLASH_PAGE_SIZE</a>&#160;&#160;&#160;0x200</td></tr>
<tr class="separator:ga4881161aeabc72682b57e928fbcf9ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a7c7f6b2777da8466a98905e171d87b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a7c7f6b2777da8466a98905e171d87b">FMC_LDROM_SIZE</a>&#160;&#160;&#160;0x1000</td></tr>
<tr class="separator:ga1a7c7f6b2777da8466a98905e171d87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86383a94592860a6e4d2fb391ed70f48"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a></td></tr>
<tr class="separator:ga86383a94592860a6e4d2fb391ed70f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8b01409d41454d5b67afe38a0453d43"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">FMC_TIMEOUT_WRITE</a></td></tr>
<tr class="separator:gac8b01409d41454d5b67afe38a0453d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga169a984ef7e9360c545fd9d11d398d32"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">FMC_TIMEOUT_ERASE</a></td></tr>
<tr class="separator:ga169a984ef7e9360c545fd9d11d398d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57006e2f057a106c1e2df8a8291b5e8b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57006e2f057a106c1e2df8a8291b5e8b">FMC_TIMEOUT_CHKSUM</a></td></tr>
<tr class="separator:ga57006e2f057a106c1e2df8a8291b5e8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ef5fc95ade50272ef27548db3cc833d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a>&#160;&#160;&#160;0x00</td></tr>
<tr class="separator:ga9ef5fc95ade50272ef27548db3cc833d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1aaae73ab5d5e5a4cee66c98e14623d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a>&#160;&#160;&#160;0x21</td></tr>
<tr class="separator:ga1aaae73ab5d5e5a4cee66c98e14623d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc49387d8d57bcd15b65f0dc3002ccdd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a>&#160;&#160;&#160;0x22</td></tr>
<tr class="separator:gafc49387d8d57bcd15b65f0dc3002ccdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b1b56e5bfe7a7df142ec9c4c0466cee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a>&#160;&#160;&#160;0x0B</td></tr>
<tr class="separator:ga5b1b56e5bfe7a7df142ec9c4c0466cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga812d22e2cb56c1a796b90a08fca60805"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a>&#160;&#160;&#160;0x0C</td></tr>
<tr class="separator:ga812d22e2cb56c1a796b90a08fca60805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2ffaaafb784dda3627705765b00f26b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>&#160;&#160;&#160;0x04</td></tr>
<tr class="separator:gaf2ffaaafb784dda3627705765b00f26b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4153087dcc74a23ac04f562d0d735d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a>&#160;&#160;&#160;0x2E</td></tr>
<tr class="separator:gab4153087dcc74a23ac04f562d0d735d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0feefed824064f51d17b0fa287b86f05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0feefed824064f51d17b0fa287b86f05">IS_BOOT_FROM_APROM</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga0feefed824064f51d17b0fa287b86f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6bd927a6cf6d3bf096ecc3127b843f59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6bd927a6cf6d3bf096ecc3127b843f59">IS_BOOT_FROM_LDROM</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga6bd927a6cf6d3bf096ecc3127b843f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d851087b691d1b9bb2fe6b963b69653"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d851087b691d1b9bb2fe6b963b69653">FMC_SET_APROM_BOOT</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td></tr>
<tr class="separator:ga1d851087b691d1b9bb2fe6b963b69653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga755870234f44c18df055023387ad419d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga755870234f44c18df055023387ad419d">FMC_SET_LDROM_BOOT</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td></tr>
<tr class="separator:ga755870234f44c18df055023387ad419d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72b68a056b661e10f7bc1a1bbea14661"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b68a056b661e10f7bc1a1bbea14661">FMC_ENABLE_AP_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td></tr>
<tr class="separator:ga72b68a056b661e10f7bc1a1bbea14661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32dda75d62bf6ece59033d410c932606"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga32dda75d62bf6ece59033d410c932606">FMC_DISABLE_AP_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td></tr>
<tr class="separator:ga32dda75d62bf6ece59033d410c932606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa482e0d0389b4b3661c20427665e5daf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td></tr>
<tr class="separator:gaa482e0d0389b4b3661c20427665e5daf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9edbe1405f140aa36e5f3af3ac9360ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td></tr>
<tr class="separator:ga9edbe1405f140aa36e5f3af3ac9360ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc4e5743dfc1694c1bf5d6b61927eaef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc4e5743dfc1694c1bf5d6b61927eaef">FMC_ENABLE_LD_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td></tr>
<tr class="separator:gacc4e5743dfc1694c1bf5d6b61927eaef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c8a897c30934fe567b07e8190bef138"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c8a897c30934fe567b07e8190bef138">FMC_DISABLE_LD_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td></tr>
<tr class="separator:ga0c8a897c30934fe567b07e8190bef138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabecb5bdcc058132dd01364334984ec41"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabecb5bdcc058132dd01364334984ec41">FMC_DISABLE_ISP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td></tr>
<tr class="separator:gabecb5bdcc058132dd01364334984ec41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga515f2d247d1e6531fcd93cfd12462145"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga515f2d247d1e6531fcd93cfd12462145">FMC_ENABLE_ISP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td></tr>
<tr class="separator:ga515f2d247d1e6531fcd93cfd12462145"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfd5bac4eccadeb21c0f4bf5090032fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabfd5bac4eccadeb21c0f4bf5090032fa">FMC_GET_FAIL_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>) ? 1 : 0)</td></tr>
<tr class="separator:gabfd5bac4eccadeb21c0f4bf5090032fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8365e3d94f7d37a357807c5ba9951b08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8365e3d94f7d37a357807c5ba9951b08">FMC_CLR_FAIL_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>)</td></tr>
<tr class="separator:ga8365e3d94f7d37a357807c5ba9951b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a> (void)</td></tr>
<tr class="memdesc:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">More...</a><br /></td></tr>
<tr class="separator:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga770503ecc8c81b51a08a512f3795ca0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to erase a flash page. The page size is 512 bytes.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">More...</a><br /></td></tr>
<tr class="separator:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a> (void)</td></tr>
<tr class="memdesc:gab6ee808b1bcd13ae19c206bab89bd718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current boot source.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">More...</a><br /></td></tr>
<tr class="separator:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd57308fea4569d942facee962482f9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a> (void)</td></tr>
<tr class="memdesc:gadd57308fea4569d942facee962482f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">More...</a><br /></td></tr>
<tr class="separator:gadd57308fea4569d942facee962482f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa137e07140d3d8782ccc2135a454fba5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a> (uint32_t u32Addr)</td></tr>
<tr class="memdesc:gaa137e07140d3d8782ccc2135a454fba5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read a word from flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">More...</a><br /></td></tr>
<tr class="separator:gaa137e07140d3d8782ccc2135a454fba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f55079cc6dc3f4641d98bd66647509"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a> (void)</td></tr>
<tr class="memdesc:ga28f55079cc6dc3f4641d98bd66647509"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read company ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">More...</a><br /></td></tr>
<tr class="separator:ga28f55079cc6dc3f4641d98bd66647509"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab043658cd7493669ee3875a05be3485c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a> (void)</td></tr>
<tr class="memdesc:gab043658cd7493669ee3875a05be3485c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read product ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">More...</a><br /></td></tr>
<tr class="separator:gab043658cd7493669ee3875a05be3485c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the four UCID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">More...</a><br /></td></tr>
<tr class="separator:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the three UID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">More...</a><br /></td></tr>
<tr class="separator:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bc30659ec176ab90b22a7f469781a43"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a> (void)</td></tr>
<tr class="memdesc:ga8bc30659ec176ab90b22a7f469781a43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the base address of Data Flash if enabled.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">More...</a><br /></td></tr>
<tr class="separator:ga8bc30659ec176ab90b22a7f469781a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27d8d6317541982cc1555f44afcc7a92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga27d8d6317541982cc1555f44afcc7a92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function will force re-map assigned flash page to CPU address 0x0.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">More...</a><br /></td></tr>
<tr class="separator:ga27d8d6317541982cc1555f44afcc7a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a> (void)</td></tr>
<tr class="memdesc:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtain the current vector page address setting.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">More...</a><br /></td></tr>
<tr class="separator:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a> (uint32_t u32Addr, uint32_t u32Data)</td></tr>
<tr class="memdesc:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to program a word to flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">More...</a><br /></td></tr>
<tr class="separator:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c1c982b1575821e1b95e67059686d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:ga21c1c982b1575821e1b95e67059686d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">More...</a><br /></td></tr>
<tr class="separator:ga21c1c982b1575821e1b95e67059686d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to write User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">More...</a><br /></td></tr>
<tr class="separator:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 Series Flash Memory Controller Driver Header File. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>8 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/23 2:44p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
